Description

History

#1 - 07/18/2018 02:19 PM - John Diamond

- Tracker changed from Milestone to Task

#2 - 07/23/2018 11:38 AM - John Diamond
- Status changed from New to Work in progress
- Assignee set to John Diamond

- % Done changed from 0 to 20

Stubbed out IOTABPM250x8DAQDeviceAdapter class.

Can now startup bpmd.

#3 - 07/24/2018 01:14 PM - John Diamond
- % Done changed from 20 to 40

Moved the GENL event handling code out of DAQSystem and into the Adapter class's.
This makes the event handler thread a responsibility of the IDAQDeviceAdapter. DAQSystem calls a static ::start() method in the Adapter class
during initialization. The rest is up to the IDAQDeviceAdapter.

Implemented the event handling for OTABPM250x8DAQDeviceAdapter.

#4 - 07/25/2018 10:09 AM - John Diamond
- % Done changed from 40 to 60

Implemented Raw DMA readout.

#5 - 07/25/2018 11:31 AM - John Diamond

Implemented TBT readout.

#6 - 07/25/2018 11:57 AM - John Diamond
- % Done changed from 60 to 80

Implemented the raw-data copy method for IOTABPM250x8DAQReader.

#7 - 07/25/2018 12:00 PM - John Diamond

IOTA BPMs support positions for multiple bunches per turn so we will extend BPMSample to support this.

#8 - 07/26/2018 09:52 AM - John Diamond
- % Done changed from 80 to 90

Implemented bunch numbers in BPMSample.
Implemented TBT-data copy method for IOTABPM250x8DAQReader.

Waiting for Nathan to attach some test signals so we can verify the data.

#9 - 07/26/2018 11:00 AM - John Diamond
Extended the Raw reading buffers to 10MB.

Plotted raw data with signals - looks good.

#10 - 07/26/2018 11:36 AM - John Diamond

- Status changed from Work in progress to Resolved
- % Done changed from 90 to 100

DSP data looks good too.

We don't have plans right now for closed-orbit or flash readings at IOTA so | am leaving those readout and copy methods un-implemented for now.
